Package com.xebialabs.xlrelease.domain

# Class Datacenter$

java.lang.Object
scala.runtime.AbstractFunction4<String,DatacenterTargetState,String,Instant,Datacenter>
com.xebialabs.xlrelease.domain.Datacenter$

All Implemented Interfaces:
  `Serializable`, `scala.Function4<String,DatacenterTargetState,String,Instant,Datacenter>`

public class Datacenter$ extends scala.runtime.AbstractFunction4<String,DatacenterTargetState,String,Instant,Datacenter> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Datacenter$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Datacenter$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Datacenter`
  `apply(String title, DatacenterTargetState targetState, String updatedBy, Instant updatedDate)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple4<String,DatacenterTargetState,String,Instant>>`
  `unapply(Datacenter x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction4

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final Datacenter$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### Datacenter$

    public Datacenter$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function4<String,DatacenterTargetState,String,Instant,Datacenter>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction4<String,DatacenterTargetState,String,Instant,Datacenter>`

  - ### apply

    public Datacenter apply(String title, DatacenterTargetState targetState, String updatedBy, Instant updatedDate)
    Specified by:
      `apply` in interface `scala.Function4<String,DatacenterTargetState,String,Instant,Datacenter>`

  - ### unapply

    public scala.Option<scala.Tuple4<String,DatacenterTargetState,String,Instant>> unapply(Datacenter x$0)